/*********************************************************************
*    Mathew Peet                                     05-Mar-2002     *
*                                                                    *
*    Program to read in X-Ray Diffraction .dat file format and       *
*    output angle vs peak height in 2 columns of data suitable for   * 
*    using in graphs (e.g. with gnuplot or a spreadsheet program)    *
*                                                                    *
*********************************************************************/

#include <stdio.h>
#define errorbar 0.000001

//errorbar is used to decide if we have finished at the expected angle

int main()
{
	double lower_angle, step, upper_angle, angle;
	char rubbish[30];
	int peak_height;
	
//double variables lower angle step size and upper angle in scan
//angle is incremented by step and printed in the while loop below
//the file contains a filename, this will cause problems if it
//is longer than the character array rubbish[] (30 characters)

	
//initialise variables	
	scanf("%lf", &lower_angle);
	scanf("%lf", &step);
	scanf("%lf", &upper_angle);
	scanf("%s", &rubbish);
	angle = lower_angle;
	peak_height =0;
	
//scan integers until the end of the file, print angle v peak height for each 	
	while((scanf("%d", &peak_height)) != EOF)
		{
		printf("%lf %d \n",angle, peak_height);
		angle = angle + step;
		}
	angle = angle - step;
// to compensate for last unwanted increment in while loop	
	if (angle > upper_angle+errorbar|| angle < upper_angle-errorbar)
	printf("WARNING: finish angle %lf, expected %lf", angle, upper_angle);
	
	return 0;
}

